Problema con 'yt-dlp', actualización

Foro de soporte para usuarias de habla hispana

Moderator: Wibol

Forum rules
Topics in this forum are automatically closed 6 months after creation.
Alnone
Level 3
Level 3
Posts: 100
Joined: Sun Feb 18, 2024 7:20 am
Location: USA

Problema con 'yt-dlp', actualización

Post by Alnone »

Hola,

Agún problema con yt-dlp, no parece actualizado.

Code: Select all

Inspiron-3583:~$ sudo synaptic

(synaptic:14161): Gtk-CRITICAL **: 15:32:22.924: gtk_widget_hide: assertion 'GTK_IS_WIDGET (widget)' failed
ken@ken-Inspiron-3583:~$ yt-dlp -U
Usage: yt-dlp [OPTIONS] URL [URL...]

yt-dlp: error: yt-dlp's self-update mechanism is disabled on Debian.
Please update yt-dlp using apt(8).
See https://packages.debian.org/sid/yt-dlp for the latest packaged version.

Inspiron-3583:~$

Code: Select all

Inspiron-3583:~$ inxi -Fxxxrz
System:
  Kernel: 5.15.0-102-generic x86_64 bits: 64 compiler: gcc v: 11.4.0
    Desktop: Xfce 4.18.1 tk: Gtk 3.24.33 info: xfce4-panel wm: xfwm 4.18.0
    vt: 7 dm: LightDM 1.30.0 Distro: Linux Mint 21.3 Virginia
    base: Ubuntu 22.04 jammy
Machine:
  Type: Laptop System: Dell product: Inspiron 3583 v: N/A
    serial: <superuser required> Chassis: type: 10 serial: <superuser required>
  Mobo: Dell model: 0WHCP7 v: A00 serial: <superuser required> UEFI: Dell
    v: 1.5.1 date: 05/30/2019
Battery:
  ID-1: BAT0 charge: 39.9 Wh (100.0%) condition: 39.9/42.0 Wh (95.0%)
    volts: 12.8 min: 11.4 model: SMP DELL VM73283 type: Li-poly
    serial: <filter> status: Full
CPU:
  Info: quad core model: Intel Core i5-8265U bits: 64 type: MT MCP
    smt: enabled arch: Comet/Whiskey Lake note: check rev: C cache: L1: 256 KiB
    L2: 1024 KiB L3: 6 MiB
  Speed (MHz): avg: 718 high: 770 min/max: 400/3900 cores: 1: 700 2: 700
    3: 733 4: 700 5: 706 6: 700 7: 740 8: 770 bogomips: 28800
  Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
Graphics:
  Device-1: Intel WhiskeyLake-U GT2 [UHD Graphics 620] vendor: Dell
    driver: i915 v: kernel ports: active: eDP-1 empty: HDMI-A-1 bus-ID: 00:02.0
    chip-ID: 8086:3ea0 class-ID: 0300
  Device-2: Realtek Integrated_Webcam_HD type: USB driver: uvcvideo
    bus-ID: 1-6:3 chip-ID: 0bda:5520 class-ID: 0e02 serial: <filter>
  Display: x11 server: X.Org v: 1.21.1.4 compositor: xfwm v: 4.18.0 driver:
    X: loaded: modesetting unloaded: fbdev,vesa gpu: i915 display-ID: :0.0
    screens: 1
  Screen-1: 0 s-res: 1366x768 s-dpi: 96 s-size: 361x203mm (14.2x8.0")
    s-diag: 414mm (16.3")
  Monitor-1: eDP-1 model: AU Optronics res: 1366x768 hz: 60 dpi: 101
    size: 344x193mm (13.5x7.6") diag: 394mm (15.5") modes: 1366x768
  OpenGL: renderer: Mesa Intel UHD Graphics 620 (WHL GT2)
    v: 4.6 Mesa 23.2.1-1ubuntu3.1~22.04.2 direct render: Yes
Audio:
  Device-1: Intel Cannon Point-LP High Definition Audio vendor: Dell
    driver: snd_hda_intel v: kernel bus-ID: 00:1f.3 chip-ID: 8086:9dc8
    class-ID: 0403
  Sound Server-1: ALSA v: k5.15.0-102-generic running: yes
  Sound Server-2: PulseAudio v: 15.99.1 running: yes
  Sound Server-3: PipeWire v: 0.3.48 running: yes
Network:
  Device-1: Realtek RTL810xE PCI Express Fast Ethernet vendor: Dell
    driver: r8169 v: kernel pcie: speed: 2.5 GT/s lanes: 1 port: 3000
    bus-ID: 01:00.0 chip-ID: 10ec:8136 class-ID: 0200
  IF: enp1s0 state: up speed: 100 Mbps duplex: full mac: <filter>
  Device-2: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter
    vendor: Dell driver: ath10k_pci v: kernel pcie: speed: 2.5 GT/s lanes: 1
    bus-ID: 02:00.0 chip-ID: 168c:0042 class-ID: 0280
  IF: wlp2s0 state: down mac: <filter>
Bluetooth:
  Device-1: Qualcomm Atheros type: USB driver: btusb v: 0.8 bus-ID: 1-10:5
    chip-ID: 0cf3:e009 class-ID: e001
  Report: hciconfig ID: hci0 rfk-id: 0 state: up address: <filter>
    bt-v: 2.1 lmp-v: 4.2 sub-v: 25a hci-v: 4.2
Drives:
  Local Storage: total: 267.72 GiB used: 30.69 GiB (11.5%)
  ID-1: /dev/nvme0n1 vendor: Western Digital model: PC SN520 NVMe WDC 256GB
    size: 238.47 GiB speed: 15.8 Gb/s lanes: 2 type: SSD serial: <filter>
    rev: 20200012 temp: 44.9 C scheme: GPT
  ID-2: /dev/sda type: USB vendor: SanDisk model: Cruzer Glide
    size: 29.25 GiB type: N/A serial: <filter> rev: 1.00 scheme: GPT
Partition:
  ID-1: / size: 27.33 GiB used: 12.73 GiB (46.6%) fs: ext4
    dev: /dev/nvme0n1p3
  ID-2: /boot/efi size: 1.43 GiB used: 5.4 MiB (0.4%) fs: vfat
    dev: /dev/nvme0n1p1
Swap:
  ID-1: swap-1 type: partition size: 1.42 GiB used: 1024 KiB (0.1%)
    priority: -2 dev: /dev/nvme0n1p2
Sensors:
  System Temperatures: cpu: 48.0 C pch: 47.0 C mobo: N/A
  Fan Speeds (RPM): cpu: 0
Repos:
  Packages: apt: 2532
  No active apt repos in: /etc/apt/sources.list
  Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list
    1: deb http://packages.linuxmint.com virginia main upstream import backport
    2: deb http://archive.ubuntu.com/ubuntu jammy main restricted universe multiverse
    3: deb http://archive.ubuntu.com/ubuntu jammy-updates main restricted universe multiverse
    4: deb http://archive.ubuntu.com/ubuntu jammy-backports main restricted universe multiverse
    5: deb http://security.ubuntu.com/ubuntu/ jammy-security main restricted universe multiverse
  Active apt repos in: /etc/apt/sources.list.d/yandex-browser.list
    1: deb [arch=amd64] https://repo.yandex.ru/yandex-browser/deb stable main
Info:
  Processes: 277 Uptime: 2h 59m wakeups: 1 Memory: 7.5 GiB
  used: 2.17 GiB (28.9%) Init: systemd v: 249 runlevel: 5 Compilers:
  gcc: 11.4.0 alt: 11/12 Shell: Bash v: 5.1.16 running-in: xfce4-terminal
  inxi: 3.3.13
Inspiron-3583:~$ 
Saludos

EDITO: version instalada 2022.04.08-1
Last edited by Alnone on Fri Apr 12, 2024 4:44 pm, edited 2 times in total.
Acer Aspire A315-58
Intel Core i7-1165G7
Iris Xe Graphics

Mint-Virginia
Xfce4-panel 4.18.2

*Mateo 5:11
User avatar
Jo-con-Ël
Level 11
Level 11
Posts: 3655
Joined: Sun Jun 20, 2021 12:41 pm
Location: donde habita el olvido

Re: Problema con 'yt-dlp', actualización

Post by Jo-con-Ël »

No ejecutes aplicaciones gráficas (con GUI) como el gestor de paquetes Synaptic desde la terminal con sudo (sudo synaptic). Mejor usa pkexec (pkexec synaptic).

Sobre el error de yt-dlp -U. Tienes instalada la version del repositorio oficial (Ubuntu jammy) de yt-dlp. Como ocurre con todas la aplicaciones del repositorio oficial no puedes actualizarlas directamente desde su origen, debes hacerlo (como derivado de Debian no diferencia ubuntu o Mint) con apt (apt upgrade yt-dlp) o desde el Gestor de actualizaciones cuando esté disposible en el repositorio oficial. Lo mismo te dice FireFox de otra forma.
Captura de pantalla de 2024-04-10 09-06-39.png
Como suele ocurrir con la mayoría de aplicaciones no es la más reciente. El motivo obvio en la mayoría de los casos es la estabilidad del sistema ya que las nuevas versiones suelen requerir versiones mas nuevas de los paquetes y librerías o dependencias. También a veces hay desinterés o las nuevas versiones aportan pocas cosas nuevas,...¿Cómo te funciona?, que es lo importante.

Si quisieras que las aplicaciones gestionaran sus propias actualizaciones o una version más reciente tendrías que instalarla desde otro origen y actualizar las dependencias que fueran necesarias asumiendo tú la responabilidad de la inestablidad o mal funcionamiento de otras aplicaciones y/o el sistema.
Last edited by Jo-con-Ël on Wed Apr 10, 2024 10:01 am, edited 3 times in total.
Arrieritos semos y en el camino nos encontraremos.
User avatar
Dan-cer
Level 6
Level 6
Posts: 1235
Joined: Fri Jul 29, 2022 4:56 pm
Location: Germany, Lower Saxony

Re: Problema con 'yt-dlp', actualización

Post by Dan-cer »

Sí, desinstala la versión anterior y luego sigue las instrucciones de esta página.
How you get better results when searching for yourself.
Having problems with translate into English? Use Deepl Translator 1-click-button in editor - available for Firefox and chromium-based browsers.
Alnone
Level 3
Level 3
Posts: 100
Joined: Sun Feb 18, 2024 7:20 am
Location: USA

Re: Problema con 'yt-dlp', actualización

Post by Alnone »

Bien, voy entendiendo, no estoy familiarizado con el sistema, debo preguntarte entonces, ¿que piensas de esto?:

https://github.com/yt-dlp/yt-dlp/wiki/Installation
Acer Aspire A315-58
Intel Core i7-1165G7
Iris Xe Graphics

Mint-Virginia
Xfce4-panel 4.18.2

*Mateo 5:11
User avatar
Jo-con-Ël
Level 11
Level 11
Posts: 3655
Joined: Sun Jun 20, 2021 12:41 pm
Location: donde habita el olvido

Re: Problema con 'yt-dlp', actualización

Post by Jo-con-Ël »

Supongo que no me preguntas a mi ya que fué Dan-cer quien te propuso el enlace pero te recuerdo mi opion. En general si la versión de aplicación del repositorio funciona, para mi es la preferible. No me has contestado a la pregunta de si funciona bien.

De entre las diferentes formas de instalar la versión más actual y poder mantenerla actualizada mediante el Gestor de actualizaciones, de tener que hacerlo, yo recurriría a la PPA.

Code: Select all

sudo add-apt-repository ppa:tomtomtom/yt-dlp 
sudo apt update                                
sudo apt install yt-dlp
Last edited by Jo-con-Ël on Wed Apr 10, 2024 9:56 am, edited 1 time in total.
Arrieritos semos y en el camino nos encontraremos.
User avatar
Dan-cer
Level 6
Level 6
Posts: 1235
Joined: Fri Jul 29, 2022 4:56 pm
Location: Germany, Lower Saxony

Re: Problema con 'yt-dlp', actualización

Post by Dan-cer »

Jo-con-Ël wrote: Wed Apr 10, 2024 7:22 am

De entre las diferentes formas de instalar la verisión más actual y mantenerla actualizada mediante el Gestor de actualizaciones, de tener que hacerlo, yo recurriría a la PPA.

Code: Select all

sudo add-apt-repository ppa:tomtomtom/yt-dlp 
sudo apt update                                
sudo apt install yt-dlp
Estoy de acuerdo.
How you get better results when searching for yourself.
Having problems with translate into English? Use Deepl Translator 1-click-button in editor - available for Firefox and chromium-based browsers.
Alnone
Level 3
Level 3
Posts: 100
Joined: Sun Feb 18, 2024 7:20 am
Location: USA

Re: Problema con 'yt-dlp', actualización

Post by Alnone »

Jo-con-Ël, No entendí la pregunta, ya que la versión que me da el 'gestor de actualización' es la misma que está instalada ya en el sistema.

Por otra parte, ¿no es mejor optar por 'github' que recurrir a un PPA?, no tengo preferencias, solo busco lo que menos problemas me pueda dar en el futuro como actualizaciones, etc
Acer Aspire A315-58
Intel Core i7-1165G7
Iris Xe Graphics

Mint-Virginia
Xfce4-panel 4.18.2

*Mateo 5:11
User avatar
Jo-con-Ël
Level 11
Level 11
Posts: 3655
Joined: Sun Jun 20, 2021 12:41 pm
Location: donde habita el olvido

Re: Problema con 'yt-dlp', actualización

Post by Jo-con-Ël »

Alnone wrote: Wed Apr 10, 2024 11:41 am Jo-con-Ël, No entendí la pregunta, ya que la versión que me da el 'gestor de actualización' es la misma que está instalada ya en el sistema.
¿Funciona bien esa versión? Si funciona bien no tienes que actualizarla y desde luego no desde la terminal con ese código.
Alnone wrote: Wed Apr 10, 2024 11:41 am Por otra parte, ¿no es mejor optar por 'github' que recurrir a un PPA?, no tengo preferencias, solo busco lo que menos problemas me pueda dar en el futuro como actualizaciones, etc
Creo que en eso ya te he dado mi opinión...aunque puedo estar equivocado por lo que leo aquí). Se supone que una PPA seria cuida esos detalles.

Tampoco la versión proporcionada por el github que comentas parece la adecuada. Al parecer la opción de instalación que te permite ejecutar la actualización desde la terminal y asegura un entorno de ejecucion propio sin echar mano del python del sistema es el binario (lee aquí)

Personalmente prefiero el clic a la terminal y desde que la GUI de youtube-dl dejó de ir bien recurro a clipgrab para lo poco que descargo. Siendo una Appimage no instala nada, no me causa ningún problema y puedo ejecutarla desde diferentes (tres) sistema Linux Mint que tengo instalado.
Arrieritos semos y en el camino nos encontraremos.
Alnone
Level 3
Level 3
Posts: 100
Joined: Sun Feb 18, 2024 7:20 am
Location: USA

Re: Problema con 'yt-dlp', actualización

Post by Alnone »

Bien, parece que el consenso es por el PPA, ya está instalado, espero funcione bien en el futuro :wink:

'clipgrab' no es una opción para mi ya que descargo muchos videos.

Gracias a todos.
Acer Aspire A315-58
Intel Core i7-1165G7
Iris Xe Graphics

Mint-Virginia
Xfce4-panel 4.18.2

*Mateo 5:11
dulvi
Level 2
Level 2
Posts: 65
Joined: Sat Jan 22, 2022 2:10 pm

Re: Problema con 'yt-dlp', actualización

Post by dulvi »

Buenas, saludos a tod@s!
Podría acalrar un poco ésto? :o
Jo-con-Ël wrote: Wed Apr 10, 2024 3:04 am No ejecutes aplicaciones gráficas (con GUI) como el gestor de paquetes Synaptic desde la terminal con sudo (sudo synaptic). Mejor usa pkexec (pkexec synaptic).
Alnone
Level 3
Level 3
Posts: 100
Joined: Sun Feb 18, 2024 7:20 am
Location: USA

Re: Problema con 'yt-dlp', actualización

Post by Alnone »

El se refiere a no hacer lo que yo hice desde/por la terminal:

Code: Select all

Inspiron-3583:~$ sudo synaptic
:wink:
Acer Aspire A315-58
Intel Core i7-1165G7
Iris Xe Graphics

Mint-Virginia
Xfce4-panel 4.18.2

*Mateo 5:11
User avatar
vaca
Level 4
Level 4
Posts: 205
Joined: Thu Jul 12, 2018 1:58 pm
Location: Barcelona Spain

Re: Problema con 'yt-dlp', actualización

Post by vaca »

Hola la versión del ppa es correcta y deberias usar esa ,es la que tengo yo y funciona muy bién !

Code: Select all

sudo add-apt-repository ppa:tomtomtom/yt-dlp 
sudo apt update                                
sudo apt install yt-dlp

Antes deberias desisntalar cualquier otra que tengas bien via sypnatic o desde el gestor de soft !
Acer 7542G/4gb ram/Mint20 usb 1TB. Hp Elitedesk 800 G3 Mini 35 wt /i5 7500T /16GB RAM DDR4 2400/UEFI MINT 20 1 TB USB3 /240GB SSD sata/!
Alnone
Level 3
Level 3
Posts: 100
Joined: Sun Feb 18, 2024 7:20 am
Location: USA

Re: Problema con 'yt-dlp', actualización

Post by Alnone »

Muchas gracias amigo por confirmarlo, es que siempre trato de usar lo mas conocido y como nunca he tenido problemas con git ... y no me queda otra que depender de yt-dlp pues descargo a veces muchos videos directos desde youtube a un usb ...

saludos.
Acer Aspire A315-58
Intel Core i7-1165G7
Iris Xe Graphics

Mint-Virginia
Xfce4-panel 4.18.2

*Mateo 5:11
Alnone
Level 3
Level 3
Posts: 100
Joined: Sun Feb 18, 2024 7:20 am
Location: USA

Re: Problema con 'yt-dlp', actualización

Post by Alnone »

No está solucionado, hoy me vuelve a salir ...

Code: Select all

ken@ken-Aspire-A315-58:~$ yt-dlp -U
Usage: yt-dlp [OPTIONS] URL [URL...]

yt-dlp: error: yt-dlp's self-update mechanism is disabled on Debian.
Please update yt-dlp using apt(8).
See https://packages.debian.org/sid/yt-dlp for the latest packaged version.

ken@ken-Aspire-A315-58:~$ 
Last edited by Wibol on Sat Apr 13, 2024 2:59 am, edited 1 time in total.
Reason: Eliminada etiqueta [Solucionado].
Acer Aspire A315-58
Intel Core i7-1165G7
Iris Xe Graphics

Mint-Virginia
Xfce4-panel 4.18.2

*Mateo 5:11
User avatar
Jo-con-Ël
Level 11
Level 11
Posts: 3655
Joined: Sun Jun 20, 2021 12:41 pm
Location: donde habita el olvido

Re: Problema con 'yt-dlp', actualización

Post by Jo-con-Ël »

Relee mi primer post. Aún no entiendes que ese código es para actualizar a la útima versión (ya la tienes instalada) de haber instalado desde el github. No va a funcionar cuando instalas la versión del repositorio oficial, ni con la de la PPA, de eso se encarga el gestor de software y te avisará el gestor de actualizaciones cuando esté disponible la nueva versión y podrás instalarla desde él, desde Synaptic o con apt upgrade yt-dlp desde la terminal.
Arrieritos semos y en el camino nos encontraremos.
Alnone
Level 3
Level 3
Posts: 100
Joined: Sun Feb 18, 2024 7:20 am
Location: USA

Re: Problema con 'yt-dlp', actualización

Post by Alnone »

Parece que no entiendo, o quizas no me explico bien, nunca instalé algo desde github, ¿que es lo que se requiere que haga ahora? :?

Lo único que hice fué esto:

Code: Select all

sudo add-apt-repository ppa:tomtomtom/yt-dlp 
sudo apt update                                
sudo apt install yt-dlp
y funcionó bien, pero solo por dos dias ...

¿Que debo hacer ahora?

Gracias.
Acer Aspire A315-58
Intel Core i7-1165G7
Iris Xe Graphics

Mint-Virginia
Xfce4-panel 4.18.2

*Mateo 5:11
User avatar
Jo-con-Ël
Level 11
Level 11
Posts: 3655
Joined: Sun Jun 20, 2021 12:41 pm
Location: donde habita el olvido

Re: Problema con 'yt-dlp', actualización

Post by Jo-con-Ël »

Nada. Basta con no ejecutar yt-dlp -U, no hay motivo. Procede directamente a la descarga o a ver las opciones yt-dlp -F [URL]...por ejemplo hoy día internacional del beso yt-dlp -F https://www.youtube.com/watch?v=6-xD0LMP0DA
Arrieritos semos y en el camino nos encontraremos.
Alnone
Level 3
Level 3
Posts: 100
Joined: Sun Feb 18, 2024 7:20 am
Location: USA

Re: Problema con 'yt-dlp', actualización

Post by Alnone »

... pero ese es el problema, no realiza la descarga porque 'pide' que actualice mediante la ejecución del comando 'yt-dlp -U' .

-- lamentablemente no me expliqué bien, debí haber puesto toda la salida del comando cuando traté de hacer la descarga, 'mea culpa' :mrgreen:

Lo que hice ahora fue repetir todos los comandos nuevamente de 'ppa:tomtomtom' (arriba) solo así descargó el video, ahora sin pedir que hiciera 'yt-dlp -U' :shock:

EDITO:

¿Porque no esta marcado?:
Captura de pantalla_2024-04-13_11-23-18.png
Acer Aspire A315-58
Intel Core i7-1165G7
Iris Xe Graphics

Mint-Virginia
Xfce4-panel 4.18.2

*Mateo 5:11
User avatar
Jo-con-Ël
Level 11
Level 11
Posts: 3655
Joined: Sun Jun 20, 2021 12:41 pm
Location: donde habita el olvido

Re: Problema con 'yt-dlp', actualización

Post by Jo-con-Ël »

Si, está marcado/activado el repositorio de paquetes (abajo). No está marcado/activado el repositorio de los códigos fuentes arriba (sólo en caso de que tu compilaras tus propios paquetes .deb) y, no, no lo necesitas.
Arrieritos semos y en el camino nos encontraremos.
Alnone
Level 3
Level 3
Posts: 100
Joined: Sun Feb 18, 2024 7:20 am
Location: USA

Re: Problema con 'yt-dlp', actualización

Post by Alnone »

Bien, seguiré probándolo ... vigilaré sobre este tópico, y en algunos días ... entonces lo marcaré como solucionado.

Muchas gracias a todos y un saludo.
Acer Aspire A315-58
Intel Core i7-1165G7
Iris Xe Graphics

Mint-Virginia
Xfce4-panel 4.18.2

*Mateo 5:11
Post Reply

Return to “Español - Spanish”